'use client';

import React from "react";
import ASide from "./components/ASide";
import Flow from "./components/Flow";
import Header from "./components/Header";
import NodeRender from "./components/NodeRender";
import { trpc } from "@/lib/trpc";
import { useQuery } from '@tanstack/react-query'
import { useSearchParam } from 'react-use';
import { useSession, signIn, signOut } from "next-auth/react"


const RunAgentFlow = () => {
  const { data: session, status } = useSession()
  // const multiAgentId = useSearchParam('multiAgentId')
  // const dialogsQuery = useQuery({queryKey: ['dialogs', multiAgentId], queryFn: () => {
  //   fetch({})
  // }})
  
  return (
    <main className="flex min-h-screen flex-col items-center justify-between p-2 gap-2">
      <Header></Header>
      <div className="flex align-stretch flex-1 w-full gap-2">
        <div className="flex-1 flex flex-col align-stretch gap-2">
          <Flow></Flow>
          <NodeRender></NodeRender>
        </div>
        <ASide></ASide>
      </div>
    </main>
  )
}

export default React.memo(React.forwardRef(RunAgentFlow))